Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.share
Class Environment

`java.lang.Object
oracle.adf.share.Environment`

public abstract class Environment
extends java.lang.Object

Managed an anonymous environment consisting of a request, a response and a context.

This class allows the Faces API to be unaware of the nature of its containing application environment. In particular, this class allows JavaServer Faces based appications to run in either a Servlet or a Portlet environment.

In the method descriptions below, paragraphs starting with Servlet: and Portlet: denote behavior that is specific to that particular environment.

Constructor Summary
`Environment()`

Method Summary
`abstract java.lang.Object` | `getContext()` Return the application environment object instance for the current appication.
`abstract java.lang.Object` | `getRequest()` Return the environment-specific object instance for the current request.
`abstract java.lang.Object` | `getResponse()` Return the environment-specific object instance for the current response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    public Environment()

Method Detail

### getRequest

    public abstract java.lang.Object getRequest()

  Return the environment-specific object instance for the current request.

  Servlet: This must be the current request's `javax.servlet.http.HttpServletRequest` instance.

  Portlet: This must be the current request's `javax.portlet.PortletRequest` instance, which will be either an `ActionRequest` or a `RenderRequest` depending upon when this method is called.

### getResponse

    public abstract java.lang.Object getResponse()

  Return the environment-specific object instance for the current response.

  Servlet: This is the current request's `javax.servlet.http.HttpServletResponse` instance.

  Portlet: This is the current request's `javax.portlet.PortletResponse` instance, which will be either an `ActionResponse` or a `RenderResponse` depending upon when this method is called.

### getContext

    public abstract java.lang.Object getContext()

  Return the application environment object instance for the current appication.

  Servlet: This must be the current application's `javax.servlet.ServletContext` instance.

  Portlet: This must be the current application's `javax.portlet.PortletContext` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.